#!/usr/bin/env python
# encoding: utf-8
"""
fasta_trimmer.py

Created by Rod Docking on 2010-09-30.
Copyright (c) 2010 Canada's Michael Smith Genome Sciences Centre. All rights reserved.
"""

import sys
import os
from optparse import OptionParser

def parse_options():
    """Parse options provided on the command line"""

    #print "{0} [rev{1}]".format(sys.argv[0], get_current_svn_rev(sys.argv[0]))

    usage = "usage: %prog -t35 in.fa out.fa"
    parser = OptionParser(usage)

    parser.add_option("-t", "--trim",
        action="store", type="int", dest="trim", 
        help="trim reads to this length [36]",
        default=36)
    
    (options, args) = parser.parse_args()

    return options, args

def main():
    """Trim reads from a fasta file to a given length"""

    options, args = parse_options()
    in_handle = open(args[0], 'r')
    out_handle = open(args[1], 'w')
    
    counter = 0
    for line in in_handle:
        counter += 1
        line = line.rstrip()
        
        if ((counter % 2) == 0):
            out_handle.write("{0}\n".format(line[:options.trim]))
        else:
            out_handle.write("{0}\n".format(line))

    in_handle.close()
    out_handle.close()

if __name__ == '__main__':
    main()

