#!/usr/bin/env python
# encoding: utf-8
"""
filter_SAM.py

Created by Rod Docking on 2011-03-14.
Copyright (c) 2011 Canada's Michael Smith Genome Sciences Centre. All rights reserved.
"""

import sys
import os

from SAM_record import SAM_record
#from abyss_graph import ABySS_graph

def main():
    """ Read SAM from stdin, apply filters, write results to stdout """
        
    with sys.stdin as in_handle:
        for line in in_handle:
            
            S = SAM_record(line)
            if S.header:
                continue
            
            # Find perfect matches and print query names to a list
            if S.perfect_match(edit_distance_threshold = 0):
                print S.qname                


if __name__ == '__main__':
    main()

